stages:
  - test

cypress_smoke_test:
  image: cypress/base:14
  stage: test
  script:
    # install dependencies
    - npm ci
    # start the server in the background
    # run Cypress tests
    - npm run test:smoke -- --headed
